Subject: Re: bug#31706: Emacs 26.1 unable to visit files in vc-git buffer's links after vc-pull

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Jun 2018 18:51:18 +0300

> From: Van L <[email-masked]>
> Date: Mon, 4 Jun 2018 18:26:11 +1000
> 
> After a vc-pull on a git directory, a vc-git buffer shows with links to files that have changed.
> 
> — example
> Running "git pull"...
> From git://github.com/apple/foundationdb
>    ab5bfad..ce6a2f0  master     -> origin/master
> Updating ab5bfad..ce6a2f0
> Fast-forward
>  fdbclient/CoordinationInterface.h     |  2 +-
>  fdbclient/DatabaseContext.h           |  3 +-
>  fdbclient/Knobs.cpp                   |  1 +
>  fdbclient/Knobs.h                     |  1 +
>  fdbclient/MasterProxyInterface.h      |  2 +-
>  fdbclient/MonitorLeader.actor.cpp     | 84 +++++++++++++++++++----------------
>  fdbclient/NativeAPI.actor.cpp         | 17 ++++---
>  fdbclient/NativeAPI.h                 |  2 +-
>  fdbclient/ReadYourWrites.h            |  1 -
>  fdbrpc/batcher.actor.h                | 20 ++++++---
>  fdbserver/Knobs.cpp                   |  4 ++
>  fdbserver/Knobs.h                     |  4 ++
>  fdbserver/LeaderElection.actor.cpp    | 30 ++++++-------
>  fdbserver/MasterProxyServer.actor.cpp | 32 +++++++++----
>  fdbserver/fdbserver.actor.cpp         |  7 ++-
>  flow/error_definitions.h              |  1 +
>  flow/network.h                        |  1 +
>  17 files changed, 131 insertions(+), 81 deletions(-)
> 
> — end example
> 
> Clicking on a link causes the ,system default open, to call the operating system’s file manager to open that file.
> 
> Expected desired behavior is that Emacs 26.1 simply visits the ,flow/network.h, file (on event ,mouse-1: visit this file,)

I cannot reproduce this.  I get exactly the behavior you expect.
Could be some problem specific to your platform (which is what, btw?).

> Trying to find the elisp function the mouse click calls, I do:
> 
>  1. C-h k
>  2. <mouse click on ,flow/network.h,>
>  3. the echo area shows: mouse-1-
> 
> if I click the mouse a second time I get the explanation for: (mouse-drag-region START-EVENT)

Try "M-x describe-text-properties RET" with point on one of the links.
(I guess "C-h k" needs to be extended to be smarter in this case.)